------- Comment From sathe...@in.ibm.com 2016-10-18 06:34 EDT-------
(In reply to comment #10)
> Hi,
> I tested a simple guest as created with uvt-kvm:
> $ uvt-kvm create --memory 2048 --cpu 4 --password=ubuntu
> paelzer-yakkety-test-libvirt release=yakkety arch=ppc64el label=daily
> plus the two lines:
> <seclabel type='dynamic' model='apparmor' relabel='yes'/>
> <seclabel type='dynamic' model='dac' relabel='yes'/>
> That works on:
> Xenial: ok
> Yakkety: ok
> I did the same on ppc64el, but only had a Xenial host available there.
> Yet this worked just fine as well.
> Quoting the report: "Linux ltc-test-ci1 4.4.0-9136-generic #55-Ubuntu SMP
> Fri Aug 26 05:56:24"
> Since that seems to be a pre-release yakkety, could I ask you to retest with
> at least the released levels and report the versions of qemu&libvirt
> involved for you (dpkg -l '*qemu*' '*libvirt*')?

I am still hitting with error
#virsh start vm1
error: Failed to start domain vm1
error: internal error: cannot load AppArmor profile 

After removing  <seclabel type='dynamic' model='dac' relabel='yes'/> line, am 
able to start the same vm
# virsh start vm1
Domain vm1 started

qemu and libvirt Level in the system is matching

# dpkg -l '*qemu*' '*libvirt*'|grep ^ii
ii  gir1.2-libvirt-glib-1.0:ppc64el 0.2.3-2                             ppc64el 
     GObject introspection files for the libvirt-glib library
ii  gir1.2-libvirt-sandbox-1.0      0.5.1+git20151113-3                 ppc64el 
     GObject introspection files for the libvirt-sandbox library
ii  ipxe-qemu                       1.0.0+git-20150424.a25a16d-1ubuntu2 all     
     PXE boot firmware - ROM images for qemu
ii  libvirt-bin                     2.1.0-1ubuntu9                      ppc64el 
     programs for the libvirt library
ii  libvirt-clients                 2.1.0-1ubuntu9                      ppc64el 
     Programs for the libvirt library
ii  libvirt-daemon                  2.1.0-1ubuntu9                      ppc64el 
     Virtualization daemon
ii  libvirt-daemon-system           2.1.0-1ubuntu9                      ppc64el 
     Libvirt daemon configuration files
ii  libvirt-dev:ppc64el             2.1.0-1ubuntu9                      ppc64el 
     development files for the libvirt library
ii  libvirt-doc                     2.1.0-1ubuntu9                      all     
     documentation for the libvirt library
ii  libvirt-glib-1.0-0:ppc64el      0.2.3-2                             ppc64el 
     libvirt GLib and GObject mapping library
ii  libvirt-glib-1.0-dev:ppc64el    0.2.3-2                             ppc64el 
     Development files for the libvirt-glib library
ii  libvirt-ocaml                              ppc64el 
     OCaml bindings for libvirt
ii  libvirt-ocaml-dev                          ppc64el 
     OCaml bindings for libvirt
ii  libvirt-sandbox-1.0-5           0.5.1+git20151113-3                 ppc64el 
     Application sandbox toolkit shared library
ii  libvirt-sandbox-1.0-dev         0.5.1+git20151113-3                 ppc64el 
     Development files for libvirt-sandbox library
ii  libvirt-sanlock                 2.1.0-1ubuntu9                      ppc64el 
     Sanlock plugin for virtlockd
ii  libvirt0:ppc64el                2.1.0-1ubuntu9                      ppc64el 
     library for interfacing with different virtualization systems
ii  munin-libvirt-plugins           0.0.6-1                             all     
     Munin plugins using libvirt
ii  python-libvirt                  2.0.0-1                             ppc64el 
     libvirt Python bindings
ii  qemu-block-extra:ppc64el        1:2.6.1+dfsg-0ubuntu5               ppc64el 
     extra block backend modules for qemu-system and qemu-utils
ii  qemu-kvm                        1:2.6.1+dfsg-0ubuntu5               ppc64el 
     QEMU Full virtualization
ii  qemu-slof                       20160223+dfsg-1                     all     
     Slimline Open Firmware -- QEMU PowerPC version
ii  qemu-system-common              1:2.6.1+dfsg-0ubuntu5               ppc64el 
     QEMU full system emulation binaries (common files)
ii  qemu-system-ppc                 1:2.6.1+dfsg-0ubuntu5               ppc64el 
     QEMU full system emulation binaries (ppc)
ii  qemu-utils                      1:2.6.1+dfsg-0ubuntu5               ppc64el 
     QEMU utilities
ii  uvtool-libvirt                  0~bzr99-0ubuntu2                    all     
     Library and tools for using Ubuntu Cloud Images with libvirt

You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.

  VM fails to start with dac security driver added

To manage notifications about this bug go to:

ubuntu-bugs mailing list

Reply via email to